Package gov.nasa.gsfc.sscweb.schema

# Class CoordinateData

java.lang.Object
gov.nasa.gsfc.sscweb.schema.CoordinateData

public class CoordinateData extends Object
Satellite coordinate data. <p>Java class for CoordinateData complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="CoordinateData"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystem"/> <element name="X" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="Y" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="Z" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="Latitude" type="{http://www.w3.org/2001/XMLSchema}float" maxOccurs="unbounded" minOccurs="0"/> <element name="Longitude" type="{http://www.w3.org/2001/XMLSchema}float" maxOccurs="unbounded" minOccurs="0"/> <element name="LocalTime" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CoordinateSystem`
  `coordinateSystem`
  Identifies the coordinate system.
  `protected List<Float>`
  `latitude`
  Latitude component values of the spherical coordinate set.
  `protected List<Double>`
  `localTime`
  Local time value of the spherical coordinate set.
  `protected List<Float>`
  `longitude`
  Longitude component values of the spherical coordinate set.
  `protected List<Double>`
  `x`
  X component values of the Cartesion coordinate set.
  `protected List<Double>`
  `y`
  Y component values of the Cartesion coordinate set.
  `protected List<Double>`
  `z`
  Z component values of the Cartesion coordinate set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoordinateData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoordinateSystem`
  `getCoordinateSystem()`
  Identifies the coordinate system.
  `List<Float>`
  `getLatitude()`
  Latitude component values of the spherical coordinate set.
  `List<Double>`
  `getLocalTime()`
  Local time value of the spherical coordinate set.
  `List<Float>`
  `getLongitude()`
  Longitude component values of the spherical coordinate set.
  `List<Double>`
  `getX()`
  X component values of the Cartesion coordinate set.
  `List<Double>`
  `getY()`
  Y component values of the Cartesion coordinate set.
  `List<Double>`
  `getZ()`
  Z component values of the Cartesion coordinate set.
  `void`
  `setCoordinateSystem(CoordinateSystem value)`
  Sets the value of the coordinateSystem property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateSystem

    protected CoordinateSystem coordinateSystem
    Identifies the coordinate system.

  - ### x

    protected List<Double> x
    X component values of the Cartesion coordinate set.

  - ### y

    protected List<Double> y
    Y component values of the Cartesion coordinate set.

  - ### z

    protected List<Double> z
    Z component values of the Cartesion coordinate set.

  - ### latitude

    protected List<Float> latitude
    Latitude component values of the spherical coordinate set.

  - ### longitude

    protected List<Float> longitude
    Longitude component values of the spherical coordinate set.

  - ### localTime

    protected List<Double> localTime
    Local time value of the spherical coordinate set.

- ## Constructor Details

  - ### CoordinateData

    public CoordinateData()

- ## Method Details

  - ### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()
    Identifies the coordinate system.
    Returns:
      possible object is `CoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `CoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### getX

    public List<Double> getX()
    X component values of the Cartesion coordinate set. Gets the value of the x property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the x property.

    For example, to add a new item, do as follows:

         getX().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the x property.

  - ### getY

    public List<Double> getY()
    Y component values of the Cartesion coordinate set. Gets the value of the y property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the y property.

    For example, to add a new item, do as follows:

         getY().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the y property.

  - ### getZ

    public List<Double> getZ()
    Z component values of the Cartesion coordinate set. Gets the value of the z property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the z property.

    For example, to add a new item, do as follows:

         getZ().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the z property.

  - ### getLatitude

    public List<Float> getLatitude()
    Latitude component values of the spherical coordinate set. Gets the value of the latitude property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the latitude property.

    For example, to add a new item, do as follows:

         getLatitude().add(newItem);

    Objects of the following type(s) are allowed in the list `Float`

    Returns:
      The value of the latitude property.

  - ### getLongitude

    public List<Float> getLongitude()
    Longitude component values of the spherical coordinate set. Gets the value of the longitude property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the longitude property.

    For example, to add a new item, do as follows:

         getLongitude().add(newItem);

    Objects of the following type(s) are allowed in the list `Float`

    Returns:
      The value of the longitude property.

  - ### getLocalTime

    public List<Double> getLocalTime()
    Local time value of the spherical coordinate set. Gets the value of the localTime property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the localTime property.

    For example, to add a new item, do as follows:

         getLocalTime().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the localTime property.